com.ihr.xbrl.dts

## Enum Dimension.DimensionType

- java.lang.Object
- - java.lang.Enum<Dimension.DimensionType>
  - - com.ihr.xbrl.dts.Dimension.DimensionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Dimension.DimensionType>
  Enclosing interface:
    Dimension<T>

      public static enum Dimension.DimensionType
      extends java.lang.Enum<Dimension.DimensionType>

  The Enum DimensionType.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` The default.
    `EXPLICIT` The explicit.
    `IDENTIFIER` The identifier.
    `PERIOD` The period.
    `TYPED` The typed.
    `UNKOWN` The unkown.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()` Gets the type.
    `static Dimension.DimensionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Dimension.DimensionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKOWN

          public static final Dimension.DimensionType UNKOWN

      The unkown.

    - #### EXPLICIT

          public static final Dimension.DimensionType EXPLICIT

      The explicit.

    - #### TYPED

          public static final Dimension.DimensionType TYPED

      The typed.

    - #### IDENTIFIER

          public static final Dimension.DimensionType IDENTIFIER

      The identifier.

    - #### PERIOD

          public static final Dimension.DimensionType PERIOD

      The period.

    - #### DEFAULT

          public static final Dimension.DimensionType DEFAULT

      The default.

  - ### Method Detail

    - #### values

          public static Dimension.DimensionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Dimension.DimensionType c : Dimension.DimensionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Dimension.DimensionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public int getType()

      Gets the type.
      Returns:
        the type